Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585692 - [abrt] crash in Miro-3.0-1.fc13: download.py:37:<module>:ImportError: libboost_python-mt.so.5: cannot open shared object file: No such file or directory
[abrt] crash in Miro-3.0-1.fc13: download.py:37:<module>:ImportError: libboos...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
abrt_hash:6fba6884
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 12:27 EDT by Alexey Kuznetsov
Modified: 2010-04-29 04:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 04:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.79 KB, text/plain)
2010-04-25 12:27 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2010-04-25 12:27:24 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/lib64/python2.6/site-packages/miro/dl_daemon/Democracy_Downloader.py
component: Miro
executable: /usr/lib64/python2.6/site-packages/miro/dl_daemon/Democracy_Downloader.py
kernel: 2.6.34-rc5
package: Miro-3.0-1.fc13
reason: download.py:37:<module>:ImportError: libboost_python-mt.so.5: cannot open shared object file: No such file or directory
release: Fedora release 13 (Goddard)
Comment 1 Alexey Kuznetsov 2010-04-25 12:27:27 EDT
Created attachment 408976 [details]
File: backtrace
Comment 2 Alex Lancaster 2010-04-25 15:54:30 EDT
Please describe what you were doing when it crashed.  We need to be able to know the exact conditions needed in order to reproduce the bug and fix it.
Comment 3 Alexey Kuznetsov 2010-04-25 20:22:15 EDT
Thanks for quick respond. After preupgrade to F13 i ran Miro and immediately got two crashes. Miro continue to work.

After second updates (update manager asks for some packages, and i did some fixes by hands (let me show u system messages.log) this bug self fixed.

Probably you need some investigation, that is why i keep this bug open.


here is yum.log:

Apr 25 20:46:58 localhost yum: Erased: spring-installer
Apr 25 20:47:01 localhost yum: Erased: spring-maps-default
Apr 25 20:47:04 localhost yum: Erased: spring
Apr 25 20:47:35 localhost yum: Erased: springlobby
Apr 25 20:53:15 localhost yum: Installed: spring-maps-default-0.1-6.fc12.noarch
Apr 25 20:53:21 localhost yum: Installed: springlobby-0.61-2.fc13.x86_64
Apr 25 20:53:34 localhost yum: Installed: spring-0.81.1.3-1.fc13.x86_64
Apr 25 20:53:41 localhost yum: Installed: spring-installer-20090316-7.fc12.x86_64
Apr 25 20:55:09 localhost yum: Erased: netbeans-apisupport1
Apr 25 20:58:56 localhost yum: Installed: rb_libtorrent-0.14.8-2.fc13.x86_64
Apr 25 20:59:11 localhost yum: Installed: rb_libtorrent-python-0.14.8-2.fc13.x86_64
Apr 25 21:29:30 localhost yum: Installed: libusb-devel-0.1.12-22.fc12.x86_64
Comment 4 Michel Alexandre Salim 2010-04-26 06:38:27 EDT
I don't have my Fedora machine at hand right now, but IIRC I dropped a Boost dependency when updating Miro to 3.0, as it's not listed in upstream's installation instructions. This might have been a mistake.

Will check when I get back home.
Comment 5 will kahn-greene 2010-04-26 09:15:24 EDT
Miro 3.0.1 doesn't depend on boost to build.  However libtorrent rasterbar does depend on boost and I'm pretty sure the python bindings for it require boost-python.

So Miro shouldn't depend on boost python (build or run), but package with libtorrent rasterbar or the python bindings should.

Is it possible it's a problem with one of those packages?
Comment 6 Michel Alexandre Salim 2010-04-27 17:12:20 EDT
I just verified this, and on my system, Miro pulls in rb_libtorrent-python which in turn pulls in boost-python.

Not sure what went on with Alexey's machine, but even there, a full update fixes things. Perhaps Alex or Alexey can close this as NOTABUG?
Comment 7 Alex Lancaster 2010-04-29 04:26:30 EDT
(In reply to comment #6)
> I just verified this, and on my system, Miro pulls in rb_libtorrent-python
> which in turn pulls in boost-python.
> 
> Not sure what went on with Alexey's machine, but even there, a full update
> fixes things. Perhaps Alex or Alexey can close this as NOTABUG?    

Done.

Note You need to log in before you can comment on or make changes to this bug.